/* ============== GENERAL STYLES =================== */
*{
    font-family: "Poppins", sans-serif;
    padding: 0;
    margin: 0;
    outline: none;
    border: none;
    box-sizing: border-box;
    text-decoration: none;
    text-transform: capitalize;
    transition: all .2s linear;
}

:root{
    --Html-Background-Color: #00000049;
    --Body-Background-Color: #fff;
    --Color-1: #27272a;
    --Color-2: #666;
    --Bg-Color-1: #fafafa;
    --Bg-Color-2: #b7b2b2;
    --Border-1: #f3f3f3;
}

.dark-mode{
    --Body-Background-Color: #18181b;
    --Color-1: #d0d0d3;
    --Color-2: #ffffff2b;
    --Bg-Color-1: #252529;
    --Bg-Color-2: #666;
    --Border-1:#66666681;
}

html{
    font-size: 62.5%;
    scroll-behavior: smooth;
    overflow-x: hidden;
    background: var(--Html-Background-Color);
}


body{
    background: var(--Body-Background-Color);
    margin: 0 5%;
    border-left: 1px solid var(--Border-1);
    border-right: 1px solid var(--Border-1);
    height: 110vh;
}


section{
    padding: 2rem 9%;
}

/* =================== HEADER SECTION ==================== */
.header .header_section{
    display: flex;
    align-items: center;
    justify-content: space-between;
    position: relative;
}

.header_logo .header_logo_image{
    width: 4rem;
    height: 4rem;
    cursor: pointer;
}

.header_logo .header_logo_image img{
    width: 4rem;
    height: 4rem;
    border: 1px solid var(--Border-1);
    border-radius: 3rem;
    object-fit: contain;
    background: #000;
}

.header_nav .header_nav_li ul{
    display: flex;
    list-style-type: none;
    border: 1px solid #666;
    border-radius: 2rem;
    padding: 1rem;
    background: var(--Bg-Color-1);
    box-shadow: 0px 10px 5px -8px rgba(0,0,0,1);
    -webkit-box-shadow: 0px 10px 5px -8px rgba(0,0,0,1);
    -moz-box-shadow: 0px 10px 5px -8px rgba(0,0,0,1);
}

.header_nav .header_nav_li ul .header-nav-title{
    display: none;
}

.header_nav .header_nav_li ul li a{
    padding: 15px 10px;
    font-size: 1.3rem;
    font-weight: 600;
    color: var(--Color-1);
}

.header_nav .header_nav_li ul li a:hover,
.header_nav .header_nav_li ul li a:active,
.header_nav .header_nav_li ul li a:focus{
    color: #2dd2bd;
}

.header_mode{
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 1.5rem;
}

.header_mode .header_mode_icon i{
    font-size: 2rem;
    background: var(--Bg-Color-1);
    padding: 1rem;
    border-radius: 3rem;
    cursor: pointer;
    border: 1px solid #66666681;
}

.header_mode .header_mode_icon i:hover{
    color: #ffffff2b;
    transform: scale(1.5);
    border: 1px solid #666;
}

#lightmode{
    display: none;
}

.header_mode .header_nav_open_span{
    padding: 1rem 1.5rem;
    border-radius: 3rem;
    background: var(--Bg-Color-1);
    cursor: pointer;
    border: 1px solid #66666681;
    color: var(--Color-1);
    font-size: 1.3rem;
    font-weight: 600;
    display: none;
}

.header_mode .header_nav_open_span:hover{
    border: 1px solid #666;
}



/* ------------------- MAIN ------------------- */



.main{
    min-height: 100vh;
}

.main_description{
    display: flex;
    align-items: flex-start;
    justify-content: center;
    gap: 5rem;
    margin-top: 9rem;
}

.main_description_writeup{
    display: flex;
    flex-direction: column;
    align-items: flex-end;
    text-align: left;
}

.main_description_img_profile{
    display: none;
}

.main_description_writeup h1{
    font-size: 3.5rem;
    font-weight: 700;
    margin-top: 2.5rem;
    color: var(--Color-1);
    line-height: 1.5;
}

.main_description_writeup p{
    font-size: 1.5rem;
    font-weight: 500;
    color: #666;
    margin-top: 1.5rem;
    line-height: 1.8;
}


.description_img_profile img{
    width:  32vw;
    border-radius: 4rem;
    transform: rotate(5deg);
    pointer-events: none;
}

.description_social-icons{
    margin-top: 5rem;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
}

.description_social-icons a{
    padding: 1rem 0;
    font-size: 1.3rem;
    color: var(--Color-1);
    font-weight: 600;
}

.description_social-icons a:hover{
    color: #2dd2bd;
}

.description_social-icons a i{
    padding-right: 1rem;
    color: #666;
    font-weight: 400;
    font-size: 1.7rem;
}

.description_social-icons a:hover i{
    color: #2dd2bd;
}

.description_social-icons a:last-child{
    border-top: 1px solid #66666681;
    margin-top: 3rem;
    padding-top: 3rem;
    text-transform: lowercase;
}


/* ====================== PROJECT SECTION ================ */

.project_container{
    margin-top: 9rem;
}

.project_container .project_title{
    font-size: 2.5rem;
    color: var(--Color-1);
    text-align: left;
    width: 40vw;
}

.project_content{
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    column-gap: 2rem;
    row-gap: 2rem;
    overflow: hidden;
    margin-top: 4rem;
}

.project_content .project_box{
    width: 100%;
    height: 200px;
    display: flex;
    align-items: flex-start;
    justify-content: flex-end;
    flex-direction: column;
    padding: 2rem ;
    border-radius: 3rem;

}

.project_content .project_box:hover{
    background: var(--Bg-Color-1);
    cursor: pointer;
    transition: background .3s ease-in-out;
}

.project_box .project_heading{
    font-size: 1.4rem;
    color: var(--Color-1);
    font-weight: 600;
}

.project_box .planet_writeup{
    font-size: 1.3rem;
    padding: 1rem 0;
    color: #666;
    line-height: 1.8;
}

.project_box .project_link{
    text-transform: lowercase;
    color: var(--Color-1);
    font-size: 1.2rem;
    font-weight: 500;
}

.project_content .project_box:hover .project_link{
    color: #2dd2bd;
}

/* ================== ABOUT SECTION ================== */

.aboutme{
    margin-top: 9rem;
}

.aboutme .aboutme_content{
    width: 50vw;
}

.aboutme .aboutme_content h2{
    color: var(--Color-1);
    font-size: 3rem;
    text-decoration: overline;
}

.aboutme .aboutme_content p{
    color: #666;
    font-size: 1.4rem;
    line-height: 1.8;
}

.aboutme_skills h2{
    color: var(--Color-1);
    font-size: 3rem;
    text-decoration: overline;
    margin-top: 4rem;
}

.aboutme_skills_img_wrapper{
    display: flex;
    justify-content: flex-start;
    align-items: flex-start;
    margin-top: 3rem;
}

.aboutme_skills .aboutme_skills_img{
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 2rem;
    width: auto;
}

.aboutme_skills_img img{
    width: 8rem;
    height: 8rem;
    background: #666;
    border-radius: 50%;
    padding: 1rem;
    cursor: pointer;
}

.aboutme_skills_img img:hover{
    transform: scale(1.1);
}

.aboutme_ending_text{
    color: #666;
    font-size: 1.4rem;
    margin-top: 2rem;
    width: 50vw;
    line-height: 1.8;
}

.aboutme_link{
    display: flex;
    gap: 2rem;
    margin-top: 2rem;
}

.aboutme_link a{
    background: var(--Bg-Color-1);
    padding: 2rem;
    text-transform: lowercase;
    color: var(--Color-1);
    border-radius: 2rem;
    width: 100%;
    font-size: 1.3rem;
}

.aboutme_link a:hover{
    color: #2dd2bd;
}

/* ================== FOOTER SECTION =================== */

.footer .footer_container{
    display: flex;
    align-items: center;
    justify-content: space-between;
    border-top: 1px solid #66666681;
    margin-top: 8rem;
    padding: 4rem 9%;
}

.footer_links a{
    color: var(--Color-1);
    font-size: 1.4rem;
    font-weight: 600;
    margin-right: 2rem;
    cursor: pointer;
}

.footer_links a:hover{
    color: #2dd2bd;
}

.footer_text span{
    color: #666;
    font-size: 1.4rem;
}




/* ========================== MEDIA QUERIES =================== */


@media (max-width: 1097px) {

    .main_description_img_profile{
        display: flex;
    }

    .main_description_img_profile img{
        width:  52vw;
        border-radius: 4rem;
        transform: rotate(5deg);
    }

    .main_description{
        flex-direction: column;
        gap: 1rem;
    }

    .main_description_writeup{
        align-items: flex-start;
    }

    .description_img_profile img{
        display: none;
    }
 
    .description_social-icons{
        margin-top: 1rem;
    }

    .project_container .project_title{
        width: 60vw;
    }

    .project_content{
        grid-template-columns: 1fr 1fr;
    }
}

@media (max-width: 768px) {
    html{
        font-size: 55%;
    }

    body{
        background: var(--Body-Background-Color);
        margin: 0;
        width: 100%;
    }

    .header_mode .header_nav_open_span{
        display: block;
    }

    .header_nav .header_nav_li ul{
        position: fixed;   
        top: -110%;     
        left: 0;
        right: 0;
        width: 90%;
        display: block;
        padding: .5rem 4%;
        margin: 0 auto;
        z-index: 1000;
    }

    .header_nav .header_nav_li ul.active{
        top: 0;
    }

    .header_nav .header_nav_li ul li:first-child a{
        color: var(--Color-2);
    }

    .header_nav .header_nav_li ul .header-nav-title{
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    .header_nav .header_nav_li ul .header-nav-title i{
        font-size: 2rem;
        font-weight: 400;
        cursor: pointer;
    }

    .header_nav .header_nav_li ul li{
        padding: 15px 10px;
        font-size: 1.3rem;
        font-weight: 600;
        color: var(--Color-1);
        border-bottom: 1px solid #66666681;
    }

    .header_nav .header_nav_li ul li:last-child{
        border-bottom: none;
    }

    .header_nav .header_nav_li ul li a:hover,
    .header_nav .header_nav_li ul li a:active,
    .header_nav .header_nav_li ul li a:focus{
        color: var(--Color-1);
    }

    .footer .footer_container{
        flex-direction: column;
        justify-content: center;
        gap: 3rem;
    }

    .project_container .project_title{
        width: 80vw;
    }

    .project_content{
        grid-template-columns: 1fr;
    }

    .aboutme .aboutme_content{
        width: 80vw;
    }

    .aboutme_ending_text{
        width: 80vw;
    }

    .aboutme_link{
        flex-direction: column;
    }
   
    .aboutme_skills .aboutme_skills_img{
        grid-template-columns: repeat(3, 1fr);
    }

}

@media (max-width: 468px) {
    html{
        font-size: 40%;
    }

    .aboutme_skills .aboutme_skills_img{
        grid-template-columns: repeat(2, 1fr);
    }
}